POST api/persons/search/{start}/{length}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| start | string |
Required |
|
| length | string |
Required |
Body Parameters
PersonSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Name | string |
None. |
|
| Firstname | string |
None. |
|
| Lastname | string |
None. |
|
| Address | string |
None. |
|
| Postcode | string |
None. |
|
| City | string |
None. |
|
| Country | string |
None. |
|
| ShortUnique | string |
None. |
|
| string |
None. |
||
| Telephone | string |
None. |
|
| InCampaign | string |
None. |
|
| UpdatedFrom | date |
None. |
|
| UpdatedTo | date |
None. |
|
| LastBuyFrom | date |
None. |
|
| LastBuyTo | date |
None. |
|
| InActiveCampaign | boolean |
None. |
|
| RecentlyBought | boolean |
None. |
|
| sortBy | string |
None. |
|
| EsecoCustomerNumber | string |
None. |
|
| PersonalNumber | string |
None. |
|
| Products | PersonSearchProductsDto |
None. |
|
| Campaigns | PersonSearchCampaignsDto |
None. |
|
| IsStop | boolean |
None. |
|
| IsFailedEmail | boolean |
None. |
|
| IsFailedSms | boolean |
None. |
|
| SearchOnlyPersons | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"name": "sample string 1",
"firstname": "sample string 2",
"lastname": "sample string 3",
"address": "sample string 4",
"postcode": "sample string 5",
"city": "sample string 6",
"country": "sample string 7",
"shortUnique": "sample string 8",
"email": "sample string 9",
"telephone": "sample string 10",
"inCampaign": "sample string 11",
"updatedFrom": "2026-08-07T06:20:18.4854903+02:00",
"updatedTo": "2026-08-07T06:20:18.4854903+02:00",
"lastBuyFrom": "2026-08-07T06:20:18.4854903+02:00",
"lastBuyTo": "2026-08-07T06:20:18.4854903+02:00",
"inActiveCampaign": true,
"recentlyBought": true,
"sortBy": "sample string 12",
"esecoCustomerNumber": "sample string 13",
"personalNumber": "sample string 14",
"products": {
"products": [
"02a3a0fb-b837-40bd-9f82-cc45e15b4c56",
"f4008f8b-3461-449c-91a0-77e93d9d604e"
],
"not": true,
"from": "2026-08-07T06:20:18.4854903+02:00",
"to": "2026-08-07T06:20:18.4854903+02:00"
},
"campaigns": {
"campaigns": [
"99d9af1a-07f8-41e4-b70c-01a68e5a574b",
"cde78515-60ce-4965-9508-0abb7058dd9f"
],
"not": true,
"from": "2026-08-07T06:20:18.4854903+02:00",
"to": "2026-08-07T06:20:18.4854903+02:00"
},
"isStop": true,
"isFailedEmail": true,
"isFailedSms": true,
"searchOnlyPersons": true
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.